Bug 76047 - pilot-link refusing to install PDB files
pilot-link refusing to install PDB files
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: pilot-link (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 00:31 EDT by Michael Lee Yohe
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the perl script I use to generate the PDB file (bibelot)... (39.89 KB, text/plain)
2002-11-10 16:04 EST, Michael Lee Yohe
no flags Details
strace of the pilot-xfer process... (17.38 KB, text/plain)
2002-11-10 16:08 EST, Michael Lee Yohe
no flags Details

  None (edit)
Description Michael Lee Yohe 2002-10-16 00:31:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
I use a Perl script known as "Bibelot" to convert standard text files to PDB
format (script can be found at http://sourceforge.net/projects/bibelot/).  Prior
to Red Hat Linux 8.0 (7.2), I could simply execute "pilot-xfer -p /dev/ttyS0 -i
/tmp/newfile.pdb" to install the file.  Instead, I receive the following error
message:

   Listening to port: /dev/ttyS0

   Please press the HotSync button now... Connected

Unable to open '/tmp/newfile.pdb'!
Time elapsed: 0:00:18

I have no problems installing PRC files, however.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download "bibelot" from SourceForge
2. Create a PDB file from a normal text file
3. Attempt to install it using pilot-xfer
	

Actual Results:  Unable to open '/tmp/newfile.pdb'!

Expected Results:  It should have installed the file without a problem.

Additional info:

Palm IIIxe that has worked without a hitch under Red Hat Linux 7.2.
Comment 1 Michael Lee Yohe 2002-11-09 17:47:46 EST
Any update/report on this?  My sleuthing is not coming up with much.
Comment 2 Ngo Than 2002-11-10 15:20:07 EST
Could you try 0.11.5-2 in rawhide please.
Comment 3 Michael Lee Yohe 2002-11-10 16:04:42 EST
Created attachment 84446 [details]
This is the perl script I use to generate the PDB file (bibelot)...
Comment 4 Michael Lee Yohe 2002-11-10 16:07:19 EST
Here's the step by step of my latest attempt:

$ rpm -q pilot-link
pilot-link-0.11.5-2

$ makepdb.pl quips > quips.pdb

$ pilot-xfer -p /dev/ttyS0 -i quips.pdb

   Listening to port: /dev/ttyS0

   Please press the HotSync button now... Connected

Unable to open 'quips.pdb'!
Time elapsed: 0:00:04

I will be adding an strace output attachment of the pilot-xfer process.
Comment 5 Michael Lee Yohe 2002-11-10 16:08:16 EST
Created attachment 84447 [details]
strace of the pilot-xfer process...
Comment 6 Ivana Varekova 2006-07-31 09:36:08 EDT
Could you please try to reproduce this problem with the devel version of
pilot-link (pilot-link-0.11.8-16).
Comment 7 Bill Nottingham 2006-10-18 10:07:26 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.